ClassFile.AttributesProcessingOption (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile, interface: ClassFile, enum: AttributesProcessingOption
Keywords: java.lang.classfile.ClassFile.AttributesProcessingOption class

# Enum Class ClassFile.AttributesProcessingOption

java.lang.Object
java.lang.Enum<ClassFile.AttributesProcessingOptionPREVIEW>
java.lang.classfile.ClassFile.AttributesProcessingOption

All Implemented Interfaces:
  `Serializable`, `ClassFile.OptionPREVIEW`, `Comparable<ClassFile.AttributesProcessingOptionPREVIEW>`, `Constable`

Enclosing interface:
  `ClassFilePREVIEW`

public static enum ClassFile.AttributesProcessingOption extends Enum<ClassFile.AttributesProcessingOptionPREVIEW> implements ClassFile.OptionPREVIEW
`AttributesProcessingOption` is a preview API of the Java platform.
Programs can only use `AttributesProcessingOption` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Option describing whether to process or discard unrecognized or problematic original attributes when a class, record component, field, method or code is transformed in its exploded form. Default is `PASS_ALL_ATTRIBUTES` to process all original attributes.

Since:
  22
See Also:
  - `AttributeMapper.AttributeStability`PREVIEW

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DROP_UNKNOWN_ATTRIBUTES`
  Drop unknown attributes during transformation
  `DROP_UNSTABLE_ATRIBUTES`
  Drop unknown and unstable original attributes during transformation
  `PASS_ALL_ATTRIBUTES`
  Process all original attributes during transformation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassFile.AttributesProcessingOptionPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClassFile.AttributesProcessingOptionPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PASS_ALL_ATTRIBUTES

    public static final ClassFile.AttributesProcessingOptionPREVIEW PASS_ALL_ATTRIBUTES
    Process all original attributes during transformation

  - ### DROP_UNKNOWN_ATTRIBUTES

    public static final ClassFile.AttributesProcessingOptionPREVIEW DROP_UNKNOWN_ATTRIBUTES
    Drop unknown attributes during transformation

  - ### DROP_UNSTABLE_ATRIBUTES

    public static final ClassFile.AttributesProcessingOptionPREVIEW DROP_UNSTABLE_ATRIBUTES
    Drop unknown and unstable original attributes during transformation

- ## Method Details

  - ### values

    public static ClassFile.AttributesProcessingOptionPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClassFile.AttributesProcessingOptionPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null